Installer - Bug #33445

Increase pulpcore-api worker count and make it configurable

09/09/2021 03:25 PM - Eric Helms

Status: Closed

Priority: Normal
Assignee: Eric Helms
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:  3.1.0
Bugzilla link: 2002693 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/226,
https://github.com/theforeman/puppet-pul
pcore/pull/231
Description

\n\n*Description of problem:*\nwe currently configure the api service to only have a single
worker:\n\n/etc/systemd/system/pulpcore-api.service\n\nExecStart=/usr/libexec/pulpcore/gunicorn pulpcore.app.wsgi:application \\n
--timeout 90 \\\n -w 1 \Wn\n\nGenerally this is fine, but we've seen some conditions where this isn't enough and can lead to
errors. | think we should likely increase the default to something higher (4?) and make it configurable."

Associated revisions

Revision 2da99656 - 10/04/2021 03:57 PM - Eric Helms

Fixes #33445: Increase default API gunicorn worker count
This increases the default API gunicorn worker count to be similar
to that of content worker count but with a smaller minimum. There

are different workloads that can require higher throughput through
the API and the current default of 1 is too low of a starting point.

History

#1 - 09/09/2021 03:41 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/226 added

#2 - 09/14/2021 11:20 AM - Ewoud Kohl van Wijngaarden

- Subject changed from b'increase pulpcore-api worker count and make it configurable'

to Increase pulpcore-api worker count and make it configurable
- Category set to Foreman modules

- Triaged changed from No to Yes

#3 - 10/04/2021 12:43 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/231 added

#4 - 10/04/2021 04:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|2da99656ee4d7221faabed4a766af6165faa0a37.

#5 - 10/05/2021 02:03 PM - Evgeni Golov
- Found in Releases 3.1.0 added
